libp11-dev_0.2.8-5_amd64.deb


Advertisement

Description

libp11-dev - pkcs#11 convenience library - development files

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libp11-dev
Package version 0.2.8
Package release 5
Package architecture amd64
Package type deb
Installed size 148 B
Download size 29.53 KB
Official Mirror ftp.br.debian.org
Libp11 is a library to simplify using smart cards via PKCS#11
modules.  It was spun of the OpenSC project but can be used with any
pkcs#11 module.
This package contains the header files and static libraries.

Alternatives

Package Version Architecture Repository
libp11-dev_0.2.8-5_i386.deb 0.2.8 i386 Debian Main
libp11-dev - - -

Requires

Name Value
libp11-2 = 0.2.8-5
libssl-dev -
pkg-config -

Download

Type URL
Binary Package libp11-dev_0.2.8-5_amd64.deb
Source Package libp11

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libp11-dev deb package:
    # sudo apt-get install libp11-dev

Files

Path
/usr/include/libp11.h
/usr/lib/x86_64-linux-gnu/libp11.a
/usr/lib/x86_64-linux-gnu/libp11.so
/usr/lib/x86_64-linux-gnu/pkgconfig/libp11.pc
/usr/share/doc/libp11-dev/AuthorsAndCredits.html
/usr/share/doc/libp11-dev/MailingLists.html
/usr/share/doc/libp11-dev/PageTemplates.html
/usr/share/doc/libp11-dev/QuickStart.html
/usr/share/doc/libp11-dev/ResourcesLinks.html
/usr/share/doc/libp11-dev/SubversionReposity.html
/usr/share/doc/libp11-dev/changelog.Debian.gz
/usr/share/doc/libp11-dev/copyright
/usr/share/doc/libp11-dev/index.html
/usr/share/doc/libp11-dev/trac.css
/usr/share/doc/libp11-dev/examples/Makefile
/usr/share/doc/libp11-dev/examples/README
/usr/share/doc/libp11-dev/examples/auth.c.gz
/usr/share/doc/libp11-dev/examples/decrypt.c.gz
/usr/share/doc/libp11-dev/examples/getrandom.c

Changelog

2014-10-10 - Eric Dorland <eric@debian.org>
libp11 (0.2.8-5) unstable; urgency=medium
* debian/control: Standards-Version to 3.9.6 (no changes).
* debian/control: Canonicalize the Vcs-* headers.
* debian/control: Update Homepage field for new GitHub home.
* debian/control: Run wrap-and-sort.
2014-06-08 - Eric Dorland <eric@debian.org>
libp11 (0.2.8-4) unstable; urgency=medium
* debian/control, debian/rules: Use dh-autoreconf. Thanks Breno
Leitao. (Closes: #750494)
* debian/watch: Update for new GitHub home.
2013-09-15 - Eric Dorland <eric@debian.org>
libp11 (0.2.8-3) unstable; urgency=low
* debian/control: Change build dependency on debhelper to >= 9.
* debian/control: Upgrade Standards-Version to 3.9.4.
* debian/control, debian/rules: Use autotools-dev.
* debian/copyright: New DEP-5 copyright file.
2011-09-24 - Eric Dorland <eric@debian.org>
libp11 (0.2.8-2) unstable; urgency=low
* debian/compat, debian/control: Use debhelper compat level v9.
* debian/control, debian/libp11-2.install, debian/libp11-dev.install:
Convert the package to Multi-Arch.
* debian/control: Upgrade Standards-Version to 3.9.2.0
2011-05-01 - Eric Dorland <eric@debian.org>
libp11 (0.2.8-1) unstable; urgency=low
* New upstream release.
* debian/libp11-dev.install: Remove unneeded .la file. (Closes: #622516)
* debian/libp11-1.install, debian/libp11-2.install,
debian/libp11-1.shlibs, debian/libp11-2.shlibs,
debian/libp11-1.symbols, debian/libp11-2.symbols, debian/control,
debian/rules: Bump soname to 2.
2011-02-20 - Eric Dorland <eric@debian.org>
libp11 (0.2.7-3) unstable; urgency=low
* debian/libp11-dev.docs: Fix bad documentation paths. (Closes: #585402)
* debian/compat, debian/control: Upgrade to debhelper level 8.
* debian/source/format: Convert to 3.0 (quilt) source format.
2010-09-09 - Eric Dorland <eric@debian.org>
libp11 (0.2.7-2) unstable; urgency=high
* debian/rules: Fix dh_strip invocation to use proper debug
package. (Closes: #594504)
* debian/control:
- Bump debhelper Build-Depends to get override_ support.
- Bump Standards-Version to 3.9.1.0.
2009-12-25 - Eric Dorland <eric@debian.org>
libp11 (0.2.7-1) unstable; urgency=low
* New upstream release.
2009-08-16 - Eric Dorland <eric@debian.org>
libp11 (0.2.6-1) unstable; urgency=low
* New upstream release.
* debian/compat: Upgrade to version 7.
* debian/rules, debian/control: Use dh instead of debhelper.
* debian/control: Upgrade Standards-Version to 3.8.3.
* debian/libp11-1.install,  debian/libp11-1.shlibs, debian/libp11-1.symbols,
debian/control: Rename libp11-0 to libp11-1
2009-04-06 - Eric Dorland <eric@debian.org>
libp11 (0.2.4-2) unstable; urgency=low
* debian/control:
- Add ${misc:Depends} to packages.
- Bump Standards-Version to 3.8.1.
- Change libp11-0-dbg's Section to debug.

See Also

Package Description
libp11-kit-dev_0.20.7-1_amd64.deb Library for loading and coordinating access to PKCS#11 modules - development
libp11-kit0_0.20.7-1_amd64.deb Library for loading and coordinating access to PKCS#11 modules - runtime
libpa-bench-camlp4-dev_111.28.00-1_amd64.deb OCaml syntax extension for writing inline benchmarks
libpa-ounit-camlp4-dev_111.28.00-1_amd64.deb OCaml Syntax extension for writing inline tests
libpa-test-camlp4-dev_111.08.00-1_amd64.deb OCaml syntax extension for writing inline tests
libpackage-constants-perl_0.04-1_all.deb List constants defined in a package
libpackage-deprecationmanager-perl_0.13-1_all.deb module for managing deprecation warnings for Perl distributions
libpackage-locator-perl_0.10-1_all.deb module to find a package among CPAN-like repositories
libpackage-new-perl_0.07-1_all.deb simple base package from which to inherit
libpackage-pkg-perl_0.0020-1_all.deb collection of package manipulation utilities
libpackage-stash-perl_0.37-1_all.deb module providing routines for manipulating stashes
libpackage-stash-xs-perl_0.28-2+b1_amd64.deb Perl module providing routines for manipulating stashes (XS version)
libpackage-variant-perl_1.002002-3_all.deb parameterizable packages
libpackagekit-glib2-18_1.0.1-2_amd64.deb Library for accessing PackageKit using GLib
libpackagekit-glib2-dev_1.0.1-2_amd64.deb Library for accessing PackageKit using GLib (development files)
Advertisement
Advertisement